/*
   This file is part of the index package,
   Copyright (C) 1997 Harold Tay, haroldtay@pacific.net.sg

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
   02111-1307, USA
 */
#ifndef CODEC_H
#define CODEC_H

/* conpress a, of length len, put it in b, and return b's size */
int codec_co(int * a, int arlen, char ** b);

/* decompress buf, place it in a, and its length in lenp, and return
   the number of bytes of buf consumed. */
int codec_dec(char * buf, int ** a, int * arlen);

/* count the number of elements in the array, place it in arlen,
   return the size of the compressed buf consumed. */
int codec_arraylen(char * buf, int * arlen);

/* return the length of the compressed buf */
int codec_skip(char * buf);

#endif
